czz2670027954
飞碟弟弟
采纳率50%
2019-05-22 11:54 浏览 706

请问cad二次开发 c#中点的ucs和wcs坐标相互转换的具体方法是什么?

在vb中点的坐标相互转换有具体的两个方法很简单
PtWcs2Ucs = ThisDrawing.Utility.TranslateCoordinates(ptWCS, acWorld, acUCS, False)
PtUcs2Wcs = ThisDrawing.Utility.TranslateCoordinates(ptUCS, acUCS, acWorld, False)
但是在net中我一直没有找到到相应代替的方法?
请问有人知道这个在net c#中能怎么解决吗?

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答 默认 最新

  • 已采纳
    weixin_45088238 逍遥瑞格 2019-05-22 12:00

    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database db = doc.Database;

    // 拾取的点坐标为 UCS 下的坐标
    PromptPointResult ret = doc.Editor.GetPoint("\nSpecify point: ");
    if (ret.Status != PromptStatus.OK)
    {
    return;
    }

    Point3d pointInUCS = ret.Value;
    Point3d pointInWCS = pointInUCS.TransformBy(doc.Editor.CurrentUserCoordinateSystem);

    点赞 评论 复制链接分享

相关推荐